%global fontname gdouros-avdira
%global fontconf 65-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        6.31
Release:        1%{?dist}
Summary:        A font based on elements created by Demetrios Damilas (late 15th c.)
License:        Public Domain
URL:            http://users.teilar.gr/~g1951d/Textfonts.htm
Source0:        http://users.teilar.gr/~g1951d/Avdira.zip
Source1:        http://users.teilar.gr/~g1951d/Textfonts.pdf
Source2:        %{name}-fontconfig.conf
Source3:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
BuildRequires:  libappstream-glib
Requires:       fontpackages-filesystem

%description
The first edition of Isocrates, edited by Demetrius Chalcondyles, was published
by Uldericus Scinzenzeler & Sebastianus de Ponte Tremolo, in 1493 in Milan. It
was set in letters cut in 1481 by Bonus Accursius, copying the older elements
of Demetrius Damilas. A digital revival was prepared by Ralph P. Hancock for
his Milan (Mediolanum) font in 2000.

The font covers the Windows Glyph List, IPA Extensions, Greek Extended, Ancient
Greek Numbers, Byzantine and Ancient Greek Musical Notation, various
typographic extras and several Open Type features (Case-Sensitive Forms, Small
Capitals, Subscript, Superscript, Numerators, Denominators, Fractions, Old
Style Figures, Historical Forms, Stylistic Alternates, Ligatures).

It was created by George Douros.

%prep
%setup -q -c
cp -p %{SOURCE1} .

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p Avdira.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

install -Dm 0644 -p %{SOURCE3} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%check
appstream-util validate-relax --nonet \
      %{buildroot}/%{_datadir}/appdata/%{fontname}.metainfo.xml


%_font_pkg -f %{fontconf} Avdira.ttf
%{_datadir}/appdata/%{fontname}.metainfo.xml
%doc Textfonts.pdf

%changelog
* Fri Feb 12 2016 Alexander Ploumistos <alexpl@fedoraproject.org> - 6.31-1
- First release

